Subject: Re: [ENUM] Dynamics -- was RE: Human readable Route descriptors

From: Scott Petrack <[email-masked]>
Date: Sun, 5 Dec 1999 08:49:53 -0500 (EST)

Catching up on almost a month of email over the next 2 days...

On Thu, 11 Nov 1999, Dean Willis wrote:

> Part of my initial adverse reaction to ENUM is my belief that the
> association of IP addresses to phone numbers is an exceptionally dynamic
> relationship, and that this relationship could not be adequately expressed
> in a relatively static and cached DNS.
> 

Yes, but the relationship of phone numbers to URLs is likely to be less
dynamic. So one high-level service that you might need is 
"phone number --> sip: URL". Another might be "phone number --> tel: URL".
It might even be that the sip signalling that ensues as a result of
the first mapping might lead to a SIP redirect to the tel: URL. 

...

> 
> For example -- (all names and numbers fictitious) I as a phone user might
> rent a phone number from a carrier, perhaps 13045551212 from BPI (Big Phone
> Inc). The NANP NS delegates to the 304 area NS, which delegates exchange 555
> to the SBC NS. The SBC NS might contain a record pointing .1212 towards
> sip:[email-masked];user=phone. As part of my rental fee for the
> phone number, SBC allows me to either use sip.sbc.net as a registrar, or to
> provision contacts into it using a web interface. In the simplest mode,
> assume I use the registration services. When I turn my phone on, it sends a
> SIP REGISTER to sip.bpi.net on behalf of 3045551212 listing the phone's
> current IP address as a Contact:.
> 
> Calls from the GSTN to my phone resolve in the following way: The call
> enters the GSTN as a sequence of dialed digits. The carrier switching system
> follows the standard PSTN routing to the nearest BPI switch registered as
> handling my exchange (30555). BPI hands the call to an IP gateway.  The
> gateway does a DNS lookup on 3045551212, which resolves to
> [email-masked]. The GW then sends an INVITE to sip.bpi.net and is
> proxied or redirected to my phone. Note that nobody ever looked in the TRIP
> routes to resolve the call.
> 
Even in the scenario you give, there is a step: "BPI hands the call to an
IP gateway". In a standards-based world this is what TRIP is used for.
Even if the BPI switch knows that 3045551212 is a BPI number, it might
decide to use TRIP to find a gateway.

> In the event that I place a call to the PSTN, 19153627878, things happen in
> a very different fashion.
> 
> In this sequence, my phone does a DNS lookup on the dialed number. Perhaps
> it does not resolve (It's not an IP or LNP registered phone number). My
> phone then sends an INVITE to sip.bpi.net with a request-URI of
> tel:9153627878, perhaps with some sort of scope specifier. Next sip.bpi.net
> consults its TRIP routing table to find one or more egress gateways and
> either proxies or redirects my call.
> 
> Alternative:
> My phone could be configured to always send my calls to my outgoung proxy
> sip.bpi.net. In this case, it sends the INVITE tel:9153627878. The proxy
> does a DNS lookup, finds that the name does not resolve, consults TRIP, and
> proxies or forwards the call.
> 
> These scenarios work pretty well. But, I haven't been able to figure out a
> scenario for local number portability from within DNS -- theoretcially, one
> of the ENUM possibilities. Anybody want to tackle that? I'm concerned that
> LNP is more like NAT than it is a 302: redirect . . .
> 

There are many different kinds of number portability, and many different
ways to implement each kind. I think that it might be useful to produce an
informative draft with a few examples.

Scott

---------
This message came from the IETF IPTEL Working Group Mailing List.